#define BLYNK_TEMPLATE_ID "TMPL4pchW--EQ"
#define BLYNK_TEMPLATE_NAME "pm"
#define BLYNK_AUTH_TOKEN "gf-BEUBJV-vqL999O2eiwGpvpkHENTSQ"

#define BLYNK_PRINT Serial

#include <ESP8266_Lib.h>
#include <SoftwareSerial.h>
#include <dht.h>
#include <LiquidCrystal_I2C.h>
#include <BlynkSimpleShieldEsp8266.h>

char auth[] = BLYNK_AUTH_TOKEN;
char ssid[] = "iPhone Iuliana";
char pass[] = "iulianaa";
unsigned long previousMillis1 = 0UL;
unsigned long previousMillis2 = 0UL;
unsigned long interval = 1000UL;
const int trigPin = 5;
const int echoPin = 6;
int buttonPin;
const int onOffPin = 8;
long duration;
int distance;

SoftwareSerial EspSerial(2, 3); // RX, TX
LiquidCrystal_I2C lcd(0x27,16,2);
dht DHT;

#define ESP8266_BAUD 115200
#define DHT11_PIN 7

ESP8266 wifi(&EspSerial);

void setup()
{
  Serial.begin(115200);

  EspSerial.begin(ESP8266_BAUD);
  delay(10);

  Blynk.begin(auth, wifi, ssid, pass);

  lcd.init();
  lcd.clear();
  lcd.backlight();

  pinMode(trigPin, OUTPUT);
  pinMode(echoPin, INPUT); 
}

void loop()
{
  Blynk.run();
  unsigned long currentMillis = millis();

  if(currentMillis - previousMillis1 > interval)
  {
    int chk = DHT.read11(DHT11_PIN);
    lcd.setCursor(0,0); 
    lcd.print("Temp: ");
    lcd.print(DHT.temperature);
    lcd.print((char)223);
    lcd.print("C");
    lcd.setCursor(0,1);
    lcd.print("Humidity: ");
    lcd.print(DHT.humidity);
    lcd.print("%");
    previousMillis1 = currentMillis;
    buttonPin = digitalRead(onOffPin);
  } 
  if (currentMillis - previousMillis2 > 20) {
    digitalWrite(trigPin, LOW);
    delayMicroseconds(2);
    digitalWrite(trigPin, HIGH);
    delayMicroseconds(10);
    digitalWrite(trigPin, LOW);
    duration = pulseIn(echoPin, HIGH);
    distance = duration * 0.034 / 2;
    if(distance < 20) {
      if(buttonPin == HIGH) {
        Serial.println("Pressed");
        digitalWrite(11, HIGH);
      }

      digitalWrite(13, HIGH);
    } else {
      if(buttonPin == LOW) {
        Serial.println("UnPressed");
        digitalWrite(11, LOW);
      }

      digitalWrite(13, LOW);
    }
    previousMillis2 = currentMillis;
  }
}
